Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037404
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2017-11-28 11:072018-01-03 12:39
ReporterdaniOpenbravoView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revision21f7f8c56b57
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037404: [BUT Issue 3556] Delete in C_import_entry_archive query too long

DescriptionThe following executed query took more than 10 hours in BUT production environment (see attached images of Munin and pg_badger):

DELETE FROM C_Import_Entry_Archive WHERE Created & lt; now () - 30;
Steps To Reproduce1) Analyze previous query.
TagsPerformance, SERQA
Attached Filespng file icon Selection_050.png [^] (19,418 bytes) 2017-11-28 11:07


png file icon Selection_051.png [^] (45,253 bytes) 2017-11-28 11:08

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0037420RR17Q4 closedmarvintm [BUT Issue 3556] Delete in C_import_entry_archive query too long 
depends on backport 0037421RR17Q3.2 closedmarvintm [BUT Issue 3556] Delete in C_import_entry_archive query too long 

-  Notes
(0100908)
hgbot (developer)
2017-12-03 00:21

Repository: erp/devel/pi
Changeset: 21f7f8c56b57adbaedbb38a7d2f8fa321fc3bb7e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Sun Dec 03 00:20:53 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/21f7f8c56b57adbaedbb38a7d2f8fa321fc3bb7e [^]

Fixed issue 37404. Added index to improve performance of C_IMPORT_ENTRY_ARCHIVE deletion.

---
M src-db/database/model/tables/C_IMPORT_ENTRY_ARCHIVE.xml
---
(0100925)
migueldejuana (developer)
2017-12-04 17:17

Reviewed
(0101512)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-28 11:07 daniOpenbravo New Issue
2017-11-28 11:07 daniOpenbravo Assigned To => Retail
2017-11-28 11:07 daniOpenbravo File Added: Selection_050.png
2017-11-28 11:07 daniOpenbravo Triggers an Emergency Pack => No
2017-11-28 11:07 daniOpenbravo Tag Attached: SERQA
2017-11-28 11:08 daniOpenbravo File Added: Selection_051.png
2017-11-28 11:08 daniOpenbravo Issue Monitored: daniOpenbravo
2017-11-30 10:17 marvintm Status new => scheduled
2017-11-30 10:17 marvintm Assigned To Retail => marvintm
2017-11-30 10:18 marvintm Tag Attached: Performance
2017-11-30 10:18 marvintm Status scheduled => acknowledged
2017-11-30 10:19 marvintm Status acknowledged => scheduled
2017-12-03 00:21 hgbot Checkin
2017-12-03 00:21 hgbot Note Added: 0100908
2017-12-03 00:21 hgbot Status scheduled => resolved
2017-12-03 00:21 hgbot Resolution open => fixed
2017-12-03 00:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/21f7f8c56b57adbaedbb38a7d2f8fa321fc3bb7e [^]
2017-12-04 17:17 migueldejuana Review Assigned To => migueldejuana
2017-12-04 17:17 migueldejuana Note Added: 0100925
2017-12-04 17:17 migueldejuana Status resolved => closed
2017-12-04 17:17 migueldejuana Fixed in Version => RR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101512


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker